data:
  action_dim: 16
  action_fields:
  - robot__desired__joint_position__left::yam
  - robot__desired__joint_position__right::yam
  - robot__action__grippers__left::yam_hand
  - robot__action__grippers__right::yam_hand
  allow_multiple_epochs: true
  augmentation:
    enabled: true
    image:
      color_jitter:
        brightness: 0.2
        contrast: 0.4
        enabled: true
        hue:
        - -0.05
        - 0.05
        saturation: 0.2
      crop:
        enabled: true
        mode: random
        shape:
        - 224
        - 224
      resize:
        enabled: true
        size:
        - 256
        - 256
    point_cloud:
      color_jitter:
        brightness: 0.2
        contrast: 0.4
        enabled: false
        hue:
        - -0.05
        - 0.05
        saturation: 0.2
  camera_names:
  - left_wrist_camera
  - right_wrist_camera
  - scene_camera
  dataloader_in_order: false
  dataset_cache:
    cache_dir: null
    cache_size_gb: null
    cache_verbose: null
    enabled: false
  dataset_manifest:
  - s3://tri-ml-datasets-uw2/raiden/data/shards_dense/BlockOnBlockRightArmYAM/shards/manifest.jsonl
  dataset_modality:
  - robotics
  dataset_statistics:
  - s3://tri-ml-datasets-uw2/raiden/data/shards_dense/BlockOnBlockRightArmYAM/shards/stats.json
  dataset_weighting:
  - 1.0
  extrinsics_fields:
  - extrinsics.left_wrist_camera
  - extrinsics.right_wrist_camera
  - extrinsics.scene_camera
  hf_fast_tokenizer_rayon_threads: null
  hf_fast_tokenizers_parallelism: true
  image_indices:
  - -1
  - 0
  image_names:
  - left_wrist_camera_t-1
  - right_wrist_camera_t-1
  - scene_camera_t-1
  - left_wrist_camera_t0
  - right_wrist_camera_t0
  - scene_camera_t0
  image_size: 224
  img_num_tokens: 64
  intrinsics_fields:
  - intrinsics.left_wrist_camera
  - intrinsics.right_wrist_camera
  - intrinsics.scene_camera
  language_instruction_types:
  - original
  lowdim_future_timesteps: 48
  lowdim_past_timesteps: 1
  mask_padded_images: false
  max_text_seq_len: null
  normalization:
    centered_norm: true
    enabled: true
    epsilon: 0.01
    field_configs:
      robot__action__grippers__left::yam_hand:
        enabled: true
        epsilon: 0.01
        method: percentile_1_99
        scope: per_timestep
      robot__action__grippers__right::yam_hand:
        enabled: true
        epsilon: 0.01
        method: percentile_1_99
        scope: per_timestep
      robot__desired__joint_position__left::yam:
        enabled: true
        epsilon: 0.01
        method: percentile_1_99
        scope: per_timestep
      robot__desired__joint_position__right::yam:
        enabled: true
        epsilon: 0.01
        method: percentile_1_99
        scope: per_timestep
    include_fields:
    - robot__desired__joint_position__left::yam
    - robot__desired__joint_position__right::yam
    - robot__action__grippers__left::yam_hand
    - robot__action__grippers__right::yam_hand
    lowdim_future_timesteps: 48
    lowdim_past_timesteps: 1
    method: percentile_1_99
    scope: per_timestep
  num_workers: 8
  pad_missing_images: false
  point_cloud_num_points: null
  pose_groups: []
  prefetch_factor: 8
  processor: openai/clip-vit-base-patch32
  processor_kwargs:
    size:
      height: 224
      width: 224
  proprioception_dim: 0
  proprioception_fields: []
  seed: 42
  seq_len: 2048
  shuffle: true
  shuffle_buffer_size: 2000
  shuffle_initial: 500
  tactile_fields: []
  type: robotics
  use_hf_fast_tokenizer: true
  use_point_cloud: false
  val_dataset_manifest: []
  val_dataset_statistics: []
  val_dataset_weighting: []
db_logging: true
distributed:
  ddp_static_graph: false
  device: cuda:0
  dist_backend: nccl
  dist_url: env://
  fsdp: true
  fsdp_cpu_offload: false
  fsdp_reshard_after_forward: false
  local_rank: 0
  rank: 0
  use_distributed: true
  world_size: 8
ema:
  alpha: 0.999
  enabled: true
  inv_gamma: 1.0
  max_value: 0.9999
  min_value: 0.0
  power: 0.75
  type: ema
  update_after_step: 0
hparams:
  beta1: 0.9
  beta2: 0.95
  decay: '0.3'
  eps: 1.0e-08
  force_min_lr: 0.0
  global_batch_size: 1024
  grad_checkpointing: false
  grad_clip_norm: 1.0
  loss_function: mse
  lr: 0.0001
  lr_cooldown_end: 5.0e-05
  lr_scheduler: cosine
  optimizer: adamw
  per_gpu_batch_size: 128
  precision: float32
  seed: 42
  torchcompile: false
  warmup: '1000'
  wd: 0.0001
  world_size: 8
  z_loss_coefficient: 0.0
log_every_n_steps: 20
log_images_every_n_steps: 5000
log_level: INFO
max_checkpoint_limit: null
model:
  action_dim: 16
  diffusion_step_conditioning: concat
  freeze: false
  input_noise_std: 0.0
  noise_scheduler:
    beta_end: 0.02
    beta_start: 0.0001
    clamp_range:
    - -1.5
    - 1.5
    freeze: false
    num_timesteps: 1000
    resume_from_checkpoint: null
    resume_weights_only: false
    type: noise_scheduler
  num_action_head_repeats: null
  proprioception_dim: 0
  resume_from_checkpoint: null
  resume_weights_only: false
  transformer:
    attn_name: torch_attn
    cast_output_to_float32: false
    ffn_type: swiglu
    freeze: false
    hidden_dim: 1024
    is_causal: true
    max_seq_len: 2048
    n_heads: 16
    n_layers: 24
    norm_eps: 1.0e-05
    norm_type: default_layer_norm
    positional_embedding_type: rotary
    post_embed_norm: false
    qk_norm: false
    resume_from_checkpoint: null
    resume_weights_only: false
    type: transformer
    vocab_size: 50432
    weight_tying: false
  type: diffusion_policy
  use_diffusers_scheduler: false
  use_flow_matching_scheduler: true
  vision_language_backbone:
    disable_text: false
    freeze: false
    freeze_image_encoder: false
    freeze_text_encoder: true
    hf_pretrained: openai/clip-vit-base-patch32
    resume_from_checkpoint: null
    resume_weights_only: false
    type: clip_backbone
name: 2026_05_21-07_57_23-model_diffusion_policy-lr_0.0001-bsz_1024
num_checkpoints: 10
num_epochs: null
remote_sync: s3://tri-ml-datasets-uw2/lbm2_vla/model_checkpoints/diffusion_policy_yam
remote_sync_fixed_path: s3://tri-ml-datasets-uw2/vla_foundry_models_fixed/
resolve_configs: false
resolve_configs_path: null
save_path: /tmp
total_train_samples: 102400000
total_val_samples: null
val_every_n_checkpoints: 1
wandb: true
wandb_entity: null
wandb_project_name: vla_foundry
wandb_tags: []
